cURL
curl --request GET \ --url https://{companyName}.api.joinluminous.com/external/api/v1/purchase-order-shipments/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "reference_number": "<string>", "total_shipping_cost": 123, "shipping_date": "2023-11-07T05:31:56Z", "warehouse_id": 123, "shipment_status_id": 123, "sync_status": "<string>", "last_synced_at": "2023-11-07T05:31:56Z", "last_synced_status": "<unknown>", "shipment_status": { "id": 123, "name": "<string>" }, "warehouse": { "id": 123, "status": "<string>", "name": "<string>", "parent_id": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "shipment_items": [ { "id": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "supplier_purchase_order_shipment_id": 123, "supplier_purchase_order_id": 123, "supplier_purchase_order_item_id": 123, "quantity": 123, "unit_of_measure_id": 123 } ], "shipment_extra_costs": [ { "id": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "supplier_purchase_order_shipment_id": 123, "name": "<string>", "quantity": 123, "unit_price": 123, "line_total": 123, "cost_allocation_type": "<string>" } ] } }
Get a single supplier purchase order shipment by ID.
Documentation IndexFetch the complete documentation index at: https://docs.joinluminous.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Purchase order shipment ID
Successful response
Show child attributes